Bug 147230 - mail/spamass-milter improved adding command-line options
Summary: mail/spamass-milter improved adding command-line options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-30 20:30 UTC by Marshal Newrock
Modified: 2010-08-26 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.80 KB, patch)
2010-05-30 20:30 UTC, Marshal Newrock
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marshal Newrock 2010-05-30 20:30:03 UTC
Whenever functionality is added which also adds a command-line option, additional patch files must be created to accomodate each possible combination of additional options.  Currently, there are two changes which add an option, and require four patches.

I am attaching a change which dynamically adds options to *args, generating the required patch on the fly.  This will make it easier to add future patches.

Fix: Patch attached with submission follows:
Comment 1 Stefan Walter freebsd_committer 2010-06-30 16:00:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 2 Stefan Walter freebsd_committer 2010-08-02 17:43:11 UTC
Responsible Changed
From-To: stefan->freebsd-ports-bugs

Return this PR to the pool - I currently do not have the time to take care of 
it.
Comment 3 Pav Lucistnik freebsd_committer 2010-08-26 12:52:41 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2010-08-26 13:04:45 UTC
pav         2010-08-26 12:04:31 UTC

  FreeBSD ports repository

  Modified files:
    mail/spamass-milter  Makefile 
    mail/spamass-milter/files extra-patch-addauth 
  Added files:
    mail/spamass-milter/files extra-patch-options 
  Removed files:
    mail/spamass-milter/files extra-patch-rejecttext2 
                              extra-patch-rejecttext2a 
  Log:
  - Automate adding command line options from various optional patches
  
  PR:             ports/147230
  Submitted by:   Marshal Newrock <marshal@zordio.com>
  
  Revision  Changes    Path
  1.43      +15 -5     ports/mail/spamass-milter/Makefile
  1.2       +0 -9      ports/mail/spamass-milter/files/extra-patch-addauth
  1.1       +11 -0     ports/mail/spamass-milter/files/extra-patch-options (new)
  1.2       +0 -11     ports/mail/spamass-milter/files/extra-patch-rejecttext2 (dead)
  1.2       +0 -11     ports/mail/spamass-milter/files/extra-patch-rejecttext2a (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"